/***************************************************************************
   ktt_whatsthis.cpp  -  KTTApp::initWhatsThis()

   begin     : 2002.12.18
   copyright : (C) 2002 by MiMaS
   email     : mimas@mimas.ceti.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "ktt.h" 

void KTTApp::initWhatsThis()
{
  actFileNew->setWhatsThis(i18n("New <br><br> "
    "Creates a new document and clears both panes."));

  actFileOpenRoman->setWhatsThis(i18n("Open Roman File <br><br> "
    "Opens file (via URL) as Roman text in the left pane."));

  actFileOpenTengwar->setWhatsThis(i18n("Open Tengwar File <br><br> "
    "Opens file (via URL) as Tengwar text in the right pane."));

  actFileOpenRecent->setWhatsThis(i18n("Open recent <br><br> "
    "Opens a recently used file. Depending on type of the file (roman or tengwar) "
    "it opens in left or right pane."));

  actFileSave->setWhatsThis(i18n("Save <br><br> "
    "Saves the document in current pane."));

  actFileSaveAs->setWhatsThis(i18n("Save As... <br><br> "
    "Saves the document in current pane as file with a new filename."));

  actFilePrint->setWhatsThis(i18n("Print <br><br> "
    "Prints out the document in current pane."));

  actFileQuit->setWhatsThis(i18n("Quit <br><br> "
    "Exits the application"));

  actEditCut->setWhatsThis(i18n("Cut <br><br> "
    "Cuts the selected section in the current pane and puts it to the clipboard."));

  actEditCopy->setWhatsThis(i18n("Copy <br><br> "
    "Copies the selected section in the current pane to the clipboard."));

  actEditPaste->setWhatsThis(i18n("Paste <br><br> "
    "Pastes the clipboard contents to actual position of the current pane."));

  actViewToolBarMain->setWhatsThis(i18n("Show main toolbar <br><br> "
    "Enables/disables the main toolbar."));
    
  actViewToolBarActions->setWhatsThis(i18n("Show actions toolbar <br><br> "
    "Enables/disables the actions toolbar."));

  actViewStatusBar->setWhatsThis(i18n("Show statusbar <br><br> "
    "Enables/disables the statusbar."));

  actTransToTengwar->setWhatsThis(i18n("Roman to Tengwar <br><br> "
    "Transcribes Roman text in the left pane into Tengwar in the right pane. "
    "If there's a portion of Roman text selected only that text will be transcribed. "
    "If <i>Clear target pane before starting</i> option is selected in configuration, "
    "target pane will be cleared before transcription."));

  actTransToRoman->setWhatsThis(i18n("Tengwar to Roman <br><br> "
    "Transcribes Tengwar text in the right pane into Roman in the left pane. "
    "If there's a portion of Tengwar text selected only that text will be transcribed. "
    "If <i>Clear target pane before starting</i> option is selected in configuration, "
    "target pane will be cleared before transcription."));
  
  actAutoTranscribe->setWhatsThis(i18n("Toggle auto transcription <br><br> "
    "When auto transcription is on text typed in one pane is automatically transcribed "
    "into the other - roman to tengwar or tengwar to roman."));

  actOptions->setWhatsThis(i18n("Configure <br><br> "
    "Opens configuration dialog."));

  actLoadMode->setWhatsThis(i18n("Load mode <br><br> "
    "Opens mode file. You need to choose mode before doing any transcription.<br> "
    "Modes describe the rules of transcription for given language. "
    "You can use both <b>.mod</b> (old files in <b>TengwarScribe</b> format) "
    "and <b>.tmf</b> (new, bidirectional files, optimized for <i>Narmacil</i> engine "
    "as used by <b>YaTT</b> program)."));

  actWebHome->setWhatsThis(i18n("Opens KTT project homepage: "
    "<a href='%1'>%2</a>").arg(WWW_KTT).arg(WWW_KTT));

  actWebYaTT->setWhatsThis(i18n("Opens YaTT WWW page - Narmacil project homepage: "
    "<a href='%1'>%2</a>").arg(WWW_NARMACIL).arg(WWW_NARMACIL));
}
